Create Paystub Report

Create paystub report.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Creates a Paystub report spanning a start and end date for a specified company. Payroll information will only be taken into account for reports from checks that are in a processed state.

This endpoint will return a job_id instead of the raw data itself. As the data returned from this endpoint can be large, we utilize a job queue to process this data instead of an immediate synchronous response. Once the job status is marked as complete, the report can be downloaded using the Download Report endpoint.

Returns

attributetypedescription
successbooleanResponse status
dataobjectjob_id for Paystub Report
errorsarrayContains a list of error objects which consists of:
message: Error message
code: Error code as described in Error codes
Body Params
string
required

ID of the Company

date
required

Start date of the dates that span the Paystub Report. Date should be in ISO-8601 format (YYYY-MM-DD).

date
required

End date of the dates that span the Paystub Report (will default to today's date if left blank). Date should be in ISO-8601 format (YYYY-MM-DD).

string
required
Defaults to pdf

The media type of the report, only PDF is supported

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json